package com.qmth.themis.business.bean.backend;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("实时监控台列表参数")
public class InvigilateListQueryBean {
	@ApiModelProperty(name="考试id",required = true)
	private Long examId;

	@ApiModelProperty(name="场次id",required = true)
	private Long examActivityId;
	
	@ApiModelProperty(name="虚拟考场代码",required = true)
	private String roomCode;

	@ApiModelProperty(name="试题下载状态",required = true)
	private Integer paperDownload;
	
	@ApiModelProperty(name="考生状态",required = false)
	private String status;
	
	@ApiModelProperty(name="姓名",required = false)
	private String name;
	
	@ApiModelProperty(name="证件号",required = false)
	private String identity;
	
	@ApiModelProperty(name="预警量min",required = false)
	private Integer minWarningCount;
	
	@ApiModelProperty(name="预警量max",required = false)
	private Integer maxWarningCount;

	@ApiModelProperty(name="客户端网络通信状态",required = false)
	private Integer clientCommunicationStatus;

	@ApiModelProperty(name="微信小程序网络通信状态",required = false)
	private Integer wxappCommunicationStatus;

	@ApiModelProperty(name="分页序号",required = true)
	private Integer pageNumber;

	@ApiModelProperty(name="分页数量",required = true)
	private Integer pageSize;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public Integer getPaperDownload() {
		return paperDownload;
	}

	public void setPaperDownload(Integer paperDownload) {
		this.paperDownload = paperDownload;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public Integer getMinWarningCount() {
		return minWarningCount;
	}

	public void setMinWarningCount(Integer minWarningCount) {
		this.minWarningCount = minWarningCount;
	}

	public Integer getMaxWarningCount() {
		return maxWarningCount;
	}

	public void setMaxWarningCount(Integer maxWarningCount) {
		this.maxWarningCount = maxWarningCount;
	}

	public Integer getClientCommunicationStatus() {
		return clientCommunicationStatus;
	}

	public void setClientCommunicationStatus(Integer clientCommunicationStatus) {
		this.clientCommunicationStatus = clientCommunicationStatus;
	}

	public Integer getWxappCommunicationStatus() {
		return wxappCommunicationStatus;
	}

	public void setWxappCommunicationStatus(Integer wxappCommunicationStatus) {
		this.wxappCommunicationStatus = wxappCommunicationStatus;
	}

	public Integer getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(Integer pageNumber) {
		this.pageNumber = pageNumber;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	
	
}
