package com.qmth.themis.business.dto.response;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description: 考试dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEExamDto implements Serializable {

    private Long id;//考试id
    private Long examActivityId;//考试场次id
    private String name;//考试名称
    private String mode;//考试模式
    private String preNotice;//考前须知
    private Integer preNoticeStaySeconds;//考试须知阅读时长(秒)
    private String postNotice;//考后说明，针对一个场次进行设置
    private Integer reallyTime;
    private List<TEExamActivityDto> activities;

    public List<TEExamActivityDto> getActivities() {
        return activities;
    }

    public void setActivities(List<TEExamActivityDto> activities) {
        this.activities = activities;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getPreNotice() {
        return preNotice;
    }

    public void setPreNotice(String preNotice) {
        this.preNotice = preNotice;
    }

    public Integer getPreNoticeStaySeconds() {
        return preNoticeStaySeconds;
    }

    public void setPreNoticeStaySeconds(Integer preNoticeStaySeconds) {
        this.preNoticeStaySeconds = preNoticeStaySeconds;
    }

    public String getPostNotice() {
        return postNotice;
    }

    public void setPostNotice(String postNotice) {
        this.postNotice = postNotice;
    }

    public Integer getReallyTime() {
        return reallyTime;
    }

    public void setReallyTime(Integer reallyTime) {
        this.reallyTime = reallyTime;
    }
}
