package com.qmth.themis.business.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * session会话
     */
    sessionConsumerGroup("themis-group-exam-session"),

    /**
     * 用户轨迹
     */
    userLogConsumerGroup("themis-group-exam-userLog"),

    /**
     * 导入导出任务
     */
    taskConsumerGroup("themis-group-exam-task"),

    /**
     * 日志
     */
    logConsumerGroup("themis-group-exam-log"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerOeGroup("themis-group-exam-websocketOe"),

    /**
     * websocket超时退出 考生 group
     */
    websocketConsumerDelayGroup("themis-group-exam-websocketDelay"),

    /**
     * quartz 考场 group
     */
    quartzConsumerGroup("themis-group-exam-quartz"),

    /**
     * 计算客观分
     */
    calculateObjectiveScoreGroup("themis-group-exam-calculateObjectiveScore"),

    /**
     * 人脸验证
     */
    faceVerifySaveGroup("themis-group-exam-faceVerifySave"),
    /**
     * 活体验证
     */
    livenessVerifySaveGroup("themis-group-exam-livenessVerifySave"),

    /**
     * 考试记录数据持久化
     */
    examRecordPersistedGroup("themis-group-exam-examRecordPersisted"),
    
    /**
     * 考试记录数据初始化
     */
    examRecordInitGroup("themis-group-exam-examRecordInit"),
    
    /**
     * 考试记录数据更新
     */
    examRecordUpdateGroup("themis-group-exam-examRecordUpdate"),

    /**
     * 考试断点记录
     */
    examBreakHistoryGroup("themis-group-exam-examBreakHistory");

    private MqGroupEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}