package com.qmth.themis.business.enums;

/**
 * 人脸、活检验证异常
 * 
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-31
 */
public enum VerifyExceptionEnum {

	NONE("无异常"),

	FACE_COUNT_ERROR("人脸数量异常"), FACE_COMPARE_ERROR("人脸比对异常"), EYE_CLOSE_ERROR("闭眼检测异常"),
	LIVENESS_ACTION_ERROR("活检动作错误");

	private String title;

	private VerifyExceptionEnum(String title) {
		this.title = title;
	}

	public String getTitle() {
		return title;
	}
}
