package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEExamStudentLogMapper;
import com.qmth.themis.business.entity.TEExamStudentLog;
import com.qmth.themis.business.service.TEExamStudentLogService;
import org.springframework.stereotype.Service;

/**
 * @Description: 考生轨迹 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TEExamStudentLogServiceImpl extends ServiceImpl<TEExamStudentLogMapper, TEExamStudentLog> implements TEExamStudentLogService {

    /**
     * 保存学生轨迹
     *
     * @param mqTimestamp
     * @param o
     * @return
     */
    @Override
    public boolean saveStudentLogInfo(long mqTimestamp, Object... o) {
        TEExamStudentLog teExamStudentLog = new TEExamStudentLog(Integer.parseInt(String.valueOf(o[0])), String.valueOf(o[1]), String.valueOf(o[2]));
        this.save(teExamStudentLog);
        return true;
    }
}
