package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TIeExamInvigilateCallMapper;
import com.qmth.themis.business.entity.TIeExamInvigilateCall;
import com.qmth.themis.business.service.TIeExamInvigilateCallService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Description: 监考监控通话申请 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TIeExamInvigilateCallServiceImpl extends ServiceImpl<TIeExamInvigilateCallMapper, TIeExamInvigilateCall> implements TIeExamInvigilateCallService {

    @Resource
    TIeExamInvigilateCallMapper tIeExamInvigilateCallMapper;

    @Override
    public IPage<TIeExamInvigilateCall> examInvigilateCallQuery(IPage<Map> iPage, Long examActivityId, String status) {
        return tIeExamInvigilateCallMapper.examInvigilateCallQuery(iPage, examActivityId, status);
    }
}
