package com.qmth.themis.business.dto.response;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: task dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TBTaskDto implements Serializable {

    private Long id;//id
    private String type;//类型
    private Long entityId;//实体id
    private String status;//状态
    private String summary;//任务状态，init：未开始，running：开始执行，finish：执行结束
    private Double progress;//进度
    private String hasResultFile;//结果文件路径
    private String hasErrorFile;//错误文件路径
    private Date createTime;//创建时间
    private Date startTime;//开始时间
    private Date finishTime;//结束时间
    private Long createId;//创建人id
    private String createName;//创建人

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getEntityId() {
        return entityId;
    }

    public void setEntityId(Long entityId) {
        this.entityId = entityId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public String getHasResultFile() {
        return hasResultFile;
    }

    public void setHasResultFile(String hasResultFile) {
        this.hasResultFile = hasResultFile;
    }

    public String getHasErrorFile() {
        return hasErrorFile;
    }

    public void setHasErrorFile(String hasErrorFile) {
        this.hasErrorFile = hasErrorFile;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }
}
